//
//  APIService.swift
//  test-activity-indicator
//
//  Created by Huy Trinh Duc on 15/05/2023.
//

import Foundation
import Combine

struct TestModel: Decodable {
    
    var userId: Int
    var id: Int
    var title: String
    
}

class APIService {
    
    func getTestApiPublisher() -> AnyPublisher<TestModel, Error> {
        return URLSession.shared.dataTaskPublisher(for: .init(url: URL.init(string: "https://jsonplaceholderrrr.typicode.com/todos/1")!))
            .tryMap({$0.data})
            .decode(type: TestModel.self, decoder: JSONDecoder())
            .eraseToAnyPublisher()
    }
    
}
